--- a/c_src/runtime.h
+++ b/c_src/runtime.h
@@ -19,7 +19,7 @@ typedef	unsigned long long int	uint64;
 typedef	float			float32;
 typedef	double			float64;

-#if defined(__ia64) || defined(__x86_64) || defined(__amd64)
+#if defined(_LP64)
 typedef	uint64		uintptr;
 typedef	int64		intptr;
 #else
